/******************************************************************************/
/*!
 * @file   ex_lte.h
 * @brief  外部ヘッダー
 * @note
 * @date   作成日　2021年12月16日
 * @author Ver.03 Copyright (c) Mobile Create Co., Ltd. 2016 All rights reserved.
 */
/******************************************************************************/
#ifndef _exlte_H_
#define _exlte_H_

#include "ex_lte_thread.h"

// prototype
// CHG-S M.Taguchi 2022/10/14 初回LTE接続時にモデムの機能モード取得関数で失敗する
#if 0
extern int lte_init(void);
#else
extern int lte_init(bool lte_conn_flg, bool ssl_flg);
#endif
// CHG-E M.Taguchi 2022/10/14 初回LTE接続時にモデムの機能モード取得関数で失敗する
extern int lte_reconnect(void);
extern int lte_get_imei(char* buf, int len);
extern int lte_get_cesq(int *p_rsrp, int* p_rsrq);
extern int lte_get_band(void);
extern int lte_get_cclk(char *date);
extern int lte_get_iccid(char*);

// LEDテスト用
extern void lte_set_parameter_rsrp(int rsrp);
extern void lte_set_parameter_rsrq(int rsrq);
extern void lte_set_parameter_finish(void);

// // ******for test******
// void lte_pdn_deactive(void);
extern void lte_get_modem_info(LTE_THREAD_MODEM_INFO* pModemInfo);
extern void lte_get_ltelc_info(LTE_THREAD_LTE_LINK_INFO* pLtelcInfo);

// ADD-S Y.Hirano 2022/3/3 Y.Hirano 830POC-43 :開局時の認証処理に失敗することがある
extern int lte_take_lte_enable(void);
extern void lte_give_lte_enable(void);
// ADD-E Y.Hirano 2022/3/3 Y.Hirano 830POC-43 :開局時の認証処理に失敗することがある
// ADD-S Y.Hirano 2022/3/4 830POC-47 :リセット処理の見直し
extern void lte_exec_shutdown(void);
// ADD-E Y.Hirano 2022/3/4 830POC-47 :リセット処理の見直し
// ADD-S M.Taguchi 2022/6/8 830001-2 :https通信の対応を行う
extern int tls_setup(int fd, char *host_name, int host_name_len);
extern int tls_setup2(int fd, char *host_name, int host_name_len);
// ADD-E M.Taguchi 2022/6/8 830001-2 :https通信の対応を行う

#endif //_exlte_H_
/****************************************************************************************/
/* FILE END : ex_lte.h																	*/
/****************************************************************************************/
